// test.cpp - Miembros que son punteros
#include <iostream>
#include <iomanip>
#include "vector.h"
using namespace std;

void fnVisualizar(const CVector&);

int main()
{
  const int n = 3;
  CVector *pvector1 = new CVector;
  CVector *pvector2 = new CVector[n];
  
  fnVisualizar(*pvector1);
  for (int i = 0; i < n; i++)
    fnVisualizar(pvector2[i]);

  delete pvector1;
  delete [] pvector2;

  system("pause");
}

void fnVisualizar(const CVector& v)
{
  int ne = v.longitud();
  for (int i = 0; i < ne; i++)
    cout << setw(7) << v.vector[i];
  cout << "\n\n";
}

